%global githash 4ec760a
%global gitdate 20211113

Name:           asmjit
Version:        0
Release:        %{gitdate}.git%{githash}1%{?dist}
Summary:        Lightweight library for machine code generation
License:        BSD
# GIT: 9057aa30b620f0662ff51e2230c126a345063064
URL:            https://github.com/asmjit/asmjit

Source0:        %{name}.tar.xz

BuildRequires:  cmake gcc-c++

%global __cmake_in_source_build 1


%description
AsmJit is a lightweight library for machine
code generation written in C++ language.

%package        devel
Summary:        Development files
Requires:       %{name} = %{version}-%{release}

%description    devel
This package contains the development files for %{name}.



%prep
%setup -q -n %{name}



%build

sed -i 's|${target} PROPERTIES DEFINE_SYMBOL ""|${target} PROPERTIES DEFINE_SYMBOL "" SOVERSION 1 VERSION 1.0|' CMakeLists.txt

mkdir build
pushd build

%cmake .. \
       -DCMAKE_SKIP_RPATH=ON \
       -DCMAKE_VERBOSE_MAKEFILE=OFF \
       -DCMAKE_BUILD_TYPE=RelWithDebInfo \
       -DCMAKE_INSTALL_LIBDIR=%{_libdir}


make %{?_smp_mflags}

popd


%install

rm -rf %{buildroot}

pushd build
make install DESTDIR=%{buildroot}
popd


%files
%license LICENSE.md
%doc README.md
%{_libdir}/*.so.*

%files devel
%license LICENSE.md
%doc README.md
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/cmake/*


%changelog
* Fri Sep 25 2020 Cristian Balint <cristian.balint@gmail.com> - 0.1
- initial build
